// VectorList.cpp: declaration of the VectorList class.
//
//////////////////////////////////////////////////////////////////////

void Copy(list<int>::iterator first, list<int>::iterator last, list<int>& x);

class VectorList:public vector<list<int> >
{
public:
	VectorList():vector<list<int> >(256) {};
	VectorList(VectorList& src):vector<list<int> >(256) {for (int i=0; i<256; i++) Copy(src[i].begin(),src[i].end(),(*this)[i]);};

	void Print(CStdioFile& f);
	void PrintTable(CStdioFile& f);
	void Unite(int i,int j);
	int Find(int what);
	void Fill() {for (int i=0; i<256; i++) (*this)[i].push_back(i);};
};
